package assignment2;
import java.security.PrivilegedAction;

import javax.security.auth.*;
import javax.security.auth.login.*;
import com.sun.security.auth.callback.TextCallbackHandler;

/**
 * This JaasAcn application attempts to authenticate a user
 * and reports whether or not the authentication was successful.
 */
public class JaasAcn {

  public static void main(String[] args) {

      // Obtain a LoginContext, needed for authentication. Tell 
      // it to use the LoginModule implementation specified by 
      // the entry named "JaasSample" in the JAAS login 
      // configuration file and to also use the specified 
      // CallbackHandler.
      LoginContext lc = null;
      try {
          lc = new LoginContext("JaasSample", 
                      new TextCallbackHandler());
      } catch (LoginException le) {
          System.err.println("LE: Cannot create LoginContext. "
              + le.getMessage());
          System.exit(-1);
      } catch (SecurityException se) {
          System.err.println("SE: Cannot create LoginContext. "
              + se.getMessage());
          System.exit(-1);
      } 

      try {
    
          // attempt authentication
          lc.login();
          System.out.println("Authentication succeeded!");
      } catch (LoginException le) {
          System.err.println("Authentication failed: ");
          System.err.println("  " + le.getMessage());
          System.exit(1);
      }
      
      Subject mySubject = lc.getSubject();
  	  PrivilegedAction action = new utils();
  	  System.out.println((String)Subject.doAsPrivileged(mySubject, action, null));
    
    }
}
